skb_push
Prev | Socket Buffer Functions | Next

## Name

skb_push — add data to the start of a buffer

## Synopsis

`unsigned char * skb_push (` | struct sk_buff * | skb,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to use

`len`

  amount of data to add

## Description

This function extends the used data area of the buffer at the buffer start. If this would exceed the total buffer headroom the kernel will panic. A pointer to the first byte of the extra data is returned.

Prev | Up | Next
skb_put | Home | skb_pull